info.bioinfweb.jphyloio.formats.text

## Class AbstractTextEventWriter<P extends TextWriterStreamDataProvider<? extends AbstractTextEventWriter<P>>>

- java.lang.Object
- - info.bioinfweb.jphyloio.AbstractEventWriter<P>
  - - info.bioinfweb.jphyloio.formats.text.AbstractTextEventWriter<P>

- All Implemented Interfaces:
    JPhyloIOEventWriter, JPhyloIOFormatSpecificObject
  Direct Known Subclasses:
    AbstractSingleMatrixEventWriter, NewickEventWriter, NexusEventWriter

      public abstract class AbstractTextEventWriter<P extends TextWriterStreamDataProvider<? extends AbstractTextEventWriter<P>>>
      extends AbstractEventWriter<P>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class info.bioinfweb.jphyloio.AbstractEventWriter

      `AbstractEventWriter.NoEditUniqueLabelHandler, AbstractEventWriter.UniqueLabelHandler`

  - ### Field Summary

    - ### Fields inherited from class info.bioinfweb.jphyloio.AbstractEventWriter

      `EDITED_LABEL_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTextEventWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doWriteDocument(DocumentDataAdapter document, java.io.Writer writer, ReadWriteParameterMap parameters)`
    `protected java.io.Writer` | `getWriter()`

    - ### Methods inherited from class info.bioinfweb.jphyloio.AbstractEventWriter

      `createStreamDataProvider, createUniqueLabel, createUniqueLabel, createUniqueLabel, createUniqueLinkedOTULabel, decreaseIndention, determineMaxSequenceLength, extendSequence, getFileStartInfo, getIndention, getLabeledIDName, getLinkedOTUNameOTUFirst, getLinkedOTUNameOwnFirst, getReferencedOTUList, getStreamDataProvider, increaseIndention, logIngnoredOTULists, writeDocument, writeDocument, writeDocument, writeLineBreak, writeLineStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.JPhyloIOFormatSpecificObject

      `getFormatID`

- - ### Constructor Detail

    - #### AbstractTextEventWriter

          public AbstractTextEventWriter()

  - ### Method Detail

    - #### getWriter

          protected java.io.Writer getWriter()

    - #### doWriteDocument

          protected void doWriteDocument(DocumentDataAdapter document,
                                         java.io.Writer writer,
                                         ReadWriteParameterMap parameters)
                                  throws java.io.IOException

      Specified by:
        `doWriteDocument` in class `AbstractEventWriter<P extends TextWriterStreamDataProvider<? extends AbstractTextEventWriter<P>>>`
      Throws:
        `java.io.IOException`